#include <stdio.h>
#include <string.h>

const long MAX_N = 70;

template<class T>
T Max(T a, T b)
{
	return (a > b) ? a : b;
}

const long MAX_LONGNUM_LEN = 50;
const long BASE = 1000000000;

class longnum
{
	long digits[MAX_LONGNUM_LEN];
	long len;

	void Normalize(void)
	{
		long iDigit;
		for(iDigit = 0; iDigit < len - 1; ++iDigit)
			if(digits[iDigit] > BASE-1)
			{
				digits[iDigit + 1] += digits[iDigit] / BASE;
				digits[iDigit] %= BASE;
			}
		for(;len && !digits[len - 1]; --len);
	}

	longnum(const longnum &number1, const longnum& number2, char operation)
	{
		long iDigit;
		if(operation == '+')
		{
			len = Max(number1.len, number2.len) + 1;
			if(len >= MAX_LONGNUM_LEN)fputs("Overflow", stderr);
			memset(digits, 0, len * sizeof(digits[0]));
			memcpy(digits, number1.digits, number1.len * sizeof(digits[0]));
			for(iDigit = 0; iDigit < number2.len; ++iDigit)
				digits[iDigit] += number2.digits[iDigit];
		}
		Normalize();
	}
public:
	longnum(void)
	{
		len = 0;
	}

	longnum(unsigned long number)
	{
		len = 0;
		for(len = 0; number; ++len, number /= BASE)
			digits[len] = number % BASE;
	}

	longnum(const longnum& number)
	{
		len = number.len;
		memcpy(digits, number.digits, len * sizeof(digits[0]));
	}

	const longnum& operator=(const longnum& number)
	{
		len = number.len;
		memcpy(digits, number.digits, len * sizeof(digits[0]));
		return *this;
	}

	void Print(void)const
	{
		long iDigit;
		if(! len)putchar('0');
		printf("%ld", digits[len-1]);
		for(iDigit = len-1; iDigit; --iDigit)
			printf("%09ld", digits[iDigit - 1]);
	}

	longnum operator + (const longnum &number)const
	{
		return longnum(*this, number, '+');
	}
};

//typedef unsigned __int64 longnum;
//---------------------------------------------------------

longnum calls[MAX_N][2*MAX_N];

int main()
{
#ifndef ONLINE_JUDGE
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	long nTestCase = 0;
	long n, back, i;
	for(n=60; n<61; ++n)
	{
		for(back=0; back<61; ++back)
		{
			for(i=0; i<2*MAX_N; i++) calls[back][i] = 0;
			for(i=0; i<MAX_N; ++i) calls[back][i] = 1;

			for(i=0; i<n; ++i)
			{
				for(long j=1; j<=back; ++j)
				{
					calls[back][MAX_N+i] = calls[back][MAX_N+i] + calls[back][MAX_N+i-j];
				}
				calls[back][MAX_N+i] = calls[back][MAX_N+i] + 1;
			}
		}
	}
	while(1)
	{
		scanf("%ld %ld", &n, &back);
		if(n > 60) break;
		++nTestCase;
		if(n > 1)
		{
			printf("Case %ld: ", nTestCase);
//			printf("Case %ld: %I64u\n", nTestCase, calls[back][MAX_N+n-2]);
			calls[back][MAX_N+n-2].Print();
			putchar('\n');
		}
		else
		{
			printf("Case %ld: 1\n", nTestCase);
		}
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif
	return 0;
}
